## netpbm-free 9.20

=== pbm/Makefile ===
SRCDIR = ..
SRCSUBDIR = $(SRCDIR)/pbm
BUILDDIR = ..

include $(BUILDDIR)/Makefile.config


INCLUDE = -I$(SRCDIR)/shhopt

# Shared library naming
LIBROOT = pbm
LIBPBM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

MAJ = 9
MIN = 19

LIBLIBS = 
NETPBMLIBS = $(LIBPBM)

PORTBINARIES =	atktopbm brushtopbm cmuwmtopbm g3topbm \
		icontopbm macptopbm mdatopbm mgrtopbm \
		pbmclean pbmlife pbmmake pbmmask pbmpscale \
		pbmreduce pbmtext \
		pbmto10x pbmtoascii pbmtoatk \
		pbmtobbnbg pbmtocmuwm \
		pbmtoepsi pbmtoepson \
		pbmtog3 pbmtogem pbmtogo pbmtoicon pbmtolj \
		pbmtomacp pbmtomda pbmtomgr pbmtonokia \
		pbmtopi3 pbmtoplot pbmtopsg3 pbmtoptx pbmtowbmp \
		pbmtox10bm pbmtoxbm pbmtoybm pbmtozinc \
		pbmupc pi3topbm \
		wbmptopbm xbmtopbm ybmtopbm	

ifneq ($(LEX)x,x)
  PORTBINARIES += thinkjettopbm
endif

#pbmpage uses sqrt(), which is sometimes in libc, not libm.  Is it ever
#in libm?
MATHBINARIES =	pbmpage
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))

MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

# Library objects to be built and linked by Makefile.common:
LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o 
ifneq (${VMS}x,x)
LIBOBJECTS += libpbmvms.o
endif
# Library objects to be linked but not built by Makefile.common:
LIBOBJECTS_X = $(BUILDDIR)/shhopt/shhopt.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpbm
MANUALS5 =	pbm

MERGENAME = pbmmerge

INTERFACE_HEADERS = pm.h pbm.h

.PHONY: all
all:	$(LIBPBM) $(BINARIES) $(EXTRA_STATICLIB)
	$(MAKE) -C pbmtoppa all

.PHONY: merge
merge: $(MERGENAME)
	$(MAKE) -C pbmtoppa all

.PHONY: install.bin
install.bin: install.bin.common
	$(MAKE) -C pbmtoppa install.bin

.PHONY: install.merge
install.merge: install.merge.common
	$(MAKE) -C pbmtoppa install.bin

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common
	$(MAKE) -C pbmtoppa install.man

HEADERLINKS = pm_config.h version.h compile.h

include $(SRCDIR)/Makefile.common

# Note that we create a new compile.h only for the first make after a
# make clean.  This is good enough.  We used to do stamp-date for
# every build of "all" from the Netpbm top directory, but nowhere
# else, so it was really sloppy.

compile.h:
	$(SRCDIR)/stamp-date

$(BUILDDIR)/shhopt/shhopt.o:
	cd ../shhopt; $(MAKE) shhopt.o
$(BUILDDIR)/shhopt/libshhopt.a:
	cd ../shhopt; $(MAKE) libshhopt.a

.PHONY: clean
clean: clean.common
	rm -f thinkjettopbm.c
	$(MAKE) -C pbmtoppa clean

FORCE:
