=== pgm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

LIBROOT = pgm
LIBPGM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
MAJ = 9
MIN = 19

ifeq ($(STATICLIB_TOO),y)
EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
else
EXTRA_STATICLIB =
endif

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt

NETPBMLIBS = $(LIBPGM) $(PBMDIR)/$(LIBPBM)
LIBLIBS = $(PBMDIR)/$(LIBPBM)

PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
		lispmtopgm pbmtopgm pgmbentley pgmenhance pgmhist \
		pgmnoise pgmnorm pgmramp pgmslice pgmtofs pgmtolispm \
		pgmtopbm psidtopgm sbigtopgm
MATHBINARIES =	pgmcrater pgmedge pgmtexture rawtopgm pgmkernel
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))
MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libpgm1.o libpgm2.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpgm
MANUALS5 =	pgm

MERGENAME = pgmmerge

INTERFACE_HEADERS = pgm.h

.PHONY: all
all:	$(PGMLIB) $(BINARIES) $(EXTRA_STATICLIB)
.PHONY: merge
merge: $(MERGENAME)

# LIBRARIES

$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)

.PHONY: install.bin
install.bin: install.bin.common
# pamoil replaced pgmoil in June 2001.
	cd $(INSTALLBINARIES) ; \
	rm -f pnmnoraw ; \
	$(SYMLINK) pamoil pgmoil

.PHONY: install.merge
install.merge: install.merge.common

.PHONY: install.lib
install.lib: install.lib.common

.PHONY: install.man
install.man: install.man.common

HEADERLINKS = pm_config.h pm.h pbm.h libpbm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common

FORCE:
