=== pbm/pbmtoppa/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

NETPBMLIBS = $(PBMDIR)/$(LIBPBM)

INCLUDE = -I$(SRCDIR)/shhopt

all: pbmtoppa

merge: pbmtoppa

pbmtoppa: pbmtoppa.o ppa.o pbm.o cutswath.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o pbmtoppa pbmtoppa.o ppa.o pbm.o cutswath.o \
	  `$(LIBOPT) $(NETPBMLIBS)`

HEADERLINKS = pm_config.h pm.h pbm.h

%.o: %.c $(HEADERLINKS)
	$(CC) $(CFLAGS) $(INCLUDE) -c $< -o $@

.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

$(PBMDIR)/$(LIBPBM): FORCE
	cd $(PBMDIR) ; $(MAKE) $(LIBPBM)

BINARIES=pbmtoppa
MANUALS1=pbmtoppa

include $(SRCDIR)/Makefile.common

clean: clean.common

FORCE:
