=== pnm/jbig/Makefile ===
SRCDIR=../..
BUILDDIR = $(SRCDIR)

include $(BUILDDIR)/Makefile.config

LIBOPT = $(BUILDDIR)/libopt

PNMDIR = $(BUILDDIR)/pnm
LIBPNM = $(NETPBMSHLIBPREFIX)pnm.$(NETPBMLIBSUFFIX)

PPMDIR = $(BUILDDIR)/ppm
LIBPPM = $(NETPBMSHLIBPREFIX)ppm.$(NETPBMLIBSUFFIX)

PGMDIR = $(BUILDDIR)/pgm
LIBPGM = $(NETPBMSHLIBPREFIX)pgm.$(NETPBMLIBSUFFIX)

PBMDIR = $(BUILDDIR)/pbm
LIBPBM = $(NETPBMSHLIBPREFIX)pbm.$(NETPBMLIBSUFFIX)

INCLUDE = -I$(SRCDIR)/shhopt

NETPBMLIBS = $(PNMDIR)/$(LIBPNM) \
           $(PPMDIR)/$(LIBPPM) $(PGMDIR)/$(LIBPGM) $(PBMDIR)/$(LIBPBM) 

BINARIES = jbigtopnm pnmtojbig
OBJECTS = $(patsubst %, %.o, $(BINARIES)) jbig.o jbig_tab.o

MANUALS1 = $(BINARIES)

all: $(BINARIES)

$(BINARIES): %: %.o jbig.o jbig_tab.o $(NETPBMLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $< jbig.o jbig_tab.o `$(LIBOPT) $(NETPBMLIBS)` \
	  $(CDEBUG)


.PHONY: install.bin
install.bin: install.bin.common

.PHONY: install.man
install.man: install.man.common

# And libraries.
$(PBMDIR)/$(LIBPBM): FORCE
	$(MAKE) -C $(PBMDIR) $(LIBPBM)
$(PGMDIR)/$(LIBPGM): FORCE
	$(MAKE) -C $(PGMDIR) $(LIBPGM)
$(PPMDIR)/$(LIBPPM): FORCE
	$(MAKE) -C $(PPMDIR) $(LIBPPM)
$(PNMDIR)/$(LIBPNM): FORCE
	$(MAKE) -C $(PNMDIR) $(LIBPNM)

HEADERLINKS = pm_config.h pm.h pbm.h pgm.h ppm.h pnm.h

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common

FORCE:
