## netpbm-free 9.25-9.backports.org.1

=== pbm/Makefile ===
--- 
+++ 
@@ -4,23 +4,7 @@
 
 include $(BUILDDIR)/Makefile.config
 
-
 INCLUDE = -I$(SRCDIR)/shhopt
-
-# Shared library naming
-LIBROOT = pbm
-LIBPBM = $(NETPBMSHLIBPREFIX)$(LIBROOT).$(NETPBMLIBSUFFIX)
-ifeq ($(STATICLIB_TOO),y)
-EXTRA_STATICLIB = lib$(LIBROOT).$(STATICLIBSUFFIX)
-else
-EXTRA_STATICLIB =
-endif
-
-MAJ = 9
-MIN = 19
-
-LIBLIBS = 
-NETPBMLIBS = $(LIBPBM)
 
 PORTBINARIES =	atktopbm brushtopbm cmuwmtopbm g3topbm \
 		icontopbm macptopbm mdatopbm mgrtopbm \
@@ -51,7 +35,7 @@
 MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))
 
 # Library objects to be built and linked by Makefile.common:
-LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o 
+LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o bitio.o
 ifneq (${VMS}x,x)
 LIBOBJECTS += libpbmvms.o
 endif
@@ -64,32 +48,11 @@
 
 MERGENAME = pbmmerge
 
-INTERFACE_HEADERS = pm.h pbm.h
-
-.PHONY: all
-all:	$(LIBPBM) $(BINARIES) $(EXTRA_STATICLIB)
-	$(MAKE) -C pbmtoppa all
+all:	build.bin
 
 .PHONY: merge
 merge: $(MERGENAME)
 	$(MAKE) -C pbmtoppa all
-
-.PHONY: install.bin
-install.bin: install.bin.common
-	$(MAKE) -C pbmtoppa install.bin
-
-.PHONY: install.merge
-install.merge: install.merge.common
-	$(MAKE) -C pbmtoppa install.bin
-
-.PHONY: install.lib
-install.lib: install.lib.common
-
-.PHONY: install.man
-install.man: install.man.common
-	$(MAKE) -C pbmtoppa install.man
-
-HEADERLINKS = pm_config.h version.h compile.h
 
 include $(SRCDIR)/Makefile.common
 
@@ -98,9 +61,6 @@
 # every build of "all" from the Netpbm top directory, but nowhere
 # else, so it was really sloppy.
 
-compile.h:
-	$(SRCDIR)/stamp-date
-
 $(BUILDDIR)/shhopt/shhopt.o:
 	cd ../shhopt; $(MAKE) shhopt.o
 $(BUILDDIR)/shhopt/libshhopt.a:
@@ -108,7 +68,6 @@
 
 .PHONY: clean
 clean: clean.common
-	rm -f thinkjettopbm.c
 	$(MAKE) -C pbmtoppa clean
 
 FORCE:
