=== debian/changelog ===
netpbm-free (2:9.25-9.backports.org.1) stable; urgency=low

  * build-depend on libpng2-dev instead of libpng12-dev
  * compiled on woody for backports.org. You might reports on this version to
    the Debian BTS.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 10 Nov 2003 22:10:37 +0100

netpbm-free (2:9.25-9) unstable; urgency=high

  * There are more bugs. Some are critical and fixed into this release; the
    others are more aesthetical, and mentioned in TODO.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 10 Nov 2003 22:10:37 +0100

netpbm-free (2:9.25-8) unstable; urgency=high

  * Next round in fixing security bugs; also repaired pamstretch-gen.

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 22:53:21 +0100

netpbm-free (2:9.25-7) unstable; urgency=high

  * Fixed security bug (insecure tmpfile-handling) in anytopnm, pnminterp-gen
    and others. Closes: #219019

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  4 Nov 2003 08:35:01 +0100

netpbm-free (2:9.25-6) unstable; urgency=low

  * Fixed bug in pnmnorm. Closes: #213366
  * added a space in debian/control.
  * polished the docu a bit.

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  4 Oct 2003 10:56:50 +0200

netpbm-free (2:9.25-5) unstable; urgency=low

  * Should really work on hppa this time. Closes: #211271

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 18 Sep 2003 17:44:15 +0200

netpbm-free (2:9.25-4) unstable; urgency=low

  * changed wrong builded libary file, FTBFS. Closes: #211271
  * corrected spelling error

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 17 Sep 2003 12:26:14 +0200

netpbm-free (2:9.25-3) unstable; urgency=low

  * autosizing of rawtopgm works. Closes: #199053
  * ppmcie use lower case x and y for chromaticities. Closes: #176313
  * libraries are compiled correct now: with -D_REENTRANT and if 
    (and only if) shared, also with -fPIC.
  * created unified libs in libnetpbm10-*, and set libnetpbm9-* to
    deprecated (but still produce them).
  * using debhelper V4 commands and reworked debian/rules and Makefiles.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 02 Sep 2003 10:44:50 +0200

netpbm-free (2:9.25-2) unstable; urgency=low

  * "brown paperbag release":
    Building works, and libpng12 is used. Closes: #207451
  * twisted the uploader field a bit to get correct closing of bug reports
  * updated to standard 3.6.1.0; moved libnetpbm9-dev to libdevel
  * made package linda/lintian clean (except where I'm sure that I'm right)
  * updated copyright and README.Debian
  * added pnmnorm (must be slipped through). Closes: #207483

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 27 Aug 2003 16:29:18 +0200

netpbm-free (2:9.25-1) unstable; urgency=low

  * moved to alioth, new maintainer, and found a way to handle upstream (this
    means that from now on we're treating netpbm-free as a native package)
  * pnmnorm replaces pgmnorm, pamoil replaces pgmoil
  * Uses POSIX-compatible commands. Closes: #204890
  * Documentation bug. Closes: #199047, #206162
  * Defaults to a fillorder at tifftopnm. Closes: #150815
  * Build-dep libpng10. Closes: #196852 (for woody: change this yourself back)
  * Speed up pnmscale with <=256 colors. Closes: #187395
  * Rewrote upstream Makefiles in a a bit more sensible way.
  * removed jbig support due to patent issues.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 21 Aug 2003 17:25:56 +0200

netpbm-free (2:9.20-10) unstable; urgency=medium

  * Rebuilt -9 on a clean sid system to ensure libpng consistency. Closes: #185384, #185480.

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Mar 2003 20:50:42 +0000

netpbm-free (2:9.20-9) unstable; urgency=high

  * sid release using the woody fixes in -8.1 and -8.2.

 -- Steve McIntyre <93sam@debian.org>  Sat, 15 Mar 2003 02:11:07 +0000

netpbm-free (2:9.20-8.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied another patch by Alan Cox

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 16:07:29 +0100

netpbm-free (2:9.20-8.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch from Alan Cox plus corrections to fix multiple
    vulnerabilities (VU#378049, VU#630433)

 -- Martin Schulze <joey@infodrom.org>  Fri, 28 Feb 2003 12:21:40 +0100

netpbm-free (2:9.20-8) unstable; urgency=low

  * Dropped Depends: on gs to Recommends after user requests. Closes: #138864.
  * Make sure that we clean up the netpbm-shhopt.h symlink properly. Closes: #140653

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Apr 2002 18:57:38 +0100

netpbm-free (2:9.20-7) unstable; urgency=high

  * Fixed Conflicts: on netpbm against netpbm-dev more explicitly. Closes: #138968

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Mar 2002 08:27:22 +0000

netpbm-free (2:9.20-6) unstable; urgency=high

  * Added Provides: netpbm-dev to help upgrades.
  * Specify Depends: on libnetpbm9 more explicitly. Closes: #137077 (grave bug)

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 22:26:20 +0000

netpbm-free (2:9.20-5) unstable; urgency=low

  * Added dependency on gs | gs-aladdin. Closes: #135464.
  * Updated Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Sun, 03 Mar 2002 18:47:15 +0000

netpbm-free (2:9.20-4) unstable; urgency=low

  * Add missing symbols to libnetpbm.a. Closes: #122169

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Dec 2001 16:49:15 +0000

netpbm-free (2:9.20-3) unstable; urgency=low

  * Patch from upstream to fix seg-fault. Closes: #114022

 -- Steve McIntyre <93sam@debian.org>  Mon, 05 Nov 2001 23:45:15 +0000

netpbm-free (2:9.20-2) unstable; urgency=low

  * Re-added ppmquantall script. Closes: #117001.
  * Modified postinst to be safer with ldconfig, as per lintian.

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:24:15 +0000

netpbm-free (2:9.20-1) unstable; urgency=low

  * New upstream release.
  * Upstream change: photometric interpretation fixed. Closes: #110314

